API端点:
https://kdwz.cn/api/v1/links
请求示例:
curl --location --request GET 'https://kdwz.cn/api/v1/links' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_bytitle, 别名 的 alias, 链接 的 url。 默认值:title。status0, 活跃 的 1, 已过期 的 2, 已禁用 的 3。 默认值:0。space_iddomain_idpixel_idsort_byid, 点击量 的 clicks, 标题 的 title, 别名 的 alias, 链接 的 url。 默认值:id。sortdesc, 升序 的 asc。 默认值:desc。per_page10, 25, 50, 100。 默认值:25。API端点:
https://kdwz.cn/api/v1/links/{id}
请求示例:
curl --location --request GET 'https://kdwz.cn/api/v1/links/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API端点:
https://kdwz.cn/api/v1/links
请求示例:
curl --location --request POST 'https://kdwz.cn/api/v1/links' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}' \ --data-urlencode 'domain={id}'
urldomain_idaliasspace_idpixel_ids[]redirect_passwordsensitive_content0, 是 的 1。 默认值:0。privacy0, 私有 的 1, 密码 的 2。 默认值:0。passwordprivacy 字段设为 2 时生效。active_period_start_atY-m-dTH:i:s。active_period_end_atY-m-dTH:i:s。clicks_limitexpiration_urltargets_typecontinents, Countries 的 countries, Operating systems 的 operating_systems, Browsers 的 browsers, Languages 的 languages, Devices 的 devices, Rotations 的 rotations。targets[index][key]targets_type=country,值必须符合 ISO 3166-1 alpha-2 格式。targets_type=operating_systems, the possible values are iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.targets_type=browsers,可选值为:Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho。targets_type=devices,可选值为:Desktop, Mobile, Tablet, Watch, Television。targets_type=languages,值必须符合 ISO 639-1 alpha-2 格式。targets_type=continents,可选值为:Africa 的 AF, Antarctica 的 AN, Asia 的 AS, Europe 的 EU, North America 的 NA, Oceania 的 OC, South America 的 SA。targets[index][value]API端点:
https://kdwz.cn/api/v1/links/{id}
请求示例:
curl --location --request PUT 'https://kdwz.cn/api/v1/links/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
urlaliasspace_idpixel_ids[]redirect_passwordsensitive_content0, 是 的 1。privacy0, 私有 的 1, 密码 的 2。passwordprivacy 字段设为 2 时生效。active_period_start_atY-m-dTH:i:s。active_period_end_atY-m-dTH:i:s。clicks_limitexpiration_urltargets_typecontinents, Countries 的 countries, Operating systems 的 operating_systems, Browsers 的 browsers, Languages 的 languages, Devices 的 devices, Rotations 的 rotations。targets[index][key]targets_type=country,值必须符合 ISO 3166-1 alpha-2 格式。targets_type=operating_systems, the possible values are iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.targets_type=browsers,可选值为:Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho。targets_type=devices,可选值为:Desktop, Mobile, Tablet, Watch, Television。targets_type=languages,值必须符合 ISO 639-1 alpha-2 格式。targets_type=continents,可选值为:Africa 的 AF, Antarctica 的 AN, Asia 的 AS, Europe 的 EU, North America 的 NA, Oceania 的 OC, South America 的 SA。targets[index][value]API端点:
https://kdwz.cn/api/v1/links/{id}
请求示例:
curl --location --request DELETE 'https://kdwz.cn/api/v1/links/{id}' \ --header 'Authorization: Bearer {api_key}'